Bug 260045 - net-mgmt/py-opn-cli: update to 0.8.1
Summary: net-mgmt/py-opn-cli: update to 0.8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dries Michiels
URL:
Keywords:
Depends on: 258149
Blocks: 258151
  Show dependency treegraph
 
Reported: 2021-11-25 11:36 UTC by Frank Wall
Modified: 2021-11-29 08:24 UTC (History)
3 users (show)

See Also:


Attachments
net-mgmt/py-opn-cli: update to 0.8.1 (1.81 KB, patch)
2021-11-25 11:36 UTC, Frank Wall
no flags Details | Diff
net-mgmt/py-opn-cli: update to 0.8.1 (patch v2) (1.86 KB, patch)
2021-11-26 11:31 UTC, Frank Wall
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Wall 2021-11-25 11:36:55 UTC
Created attachment 229723 [details]
net-mgmt/py-opn-cli: update to 0.8.1

This updates opn-cli to the most recent version 0.8.1:

* update opn-cli to version 0.8.1
* bump py-click dependency requirement to version 8.0.1
* add new dependencies
* update my maintainer e-mail address

This obsoletes BZ #258151.

This submission was successfully tested with poudriere on FreeBSD 13.0.
Comment 1 Frank Wall 2021-11-25 11:38:22 UTC
Official changelog for opn-cli:
https://github.com/andeman/opn-cli/blob/main/CHANGELOG.md
Comment 2 Dries Michiels freebsd_committer 2021-11-26 08:31:37 UTC
Hi after a quick scan could you rebase the patch to use DISTVERSION over PORTVERSION? I also see that <author> is your old e-mail. Can this be your new email? Could you send me an e-mail from your new address referring to this bug to confirm ownership?
Comment 3 Frank Wall 2021-11-26 11:31:18 UTC
Created attachment 229738 [details]
net-mgmt/py-opn-cli: update to 0.8.1 (patch v2)

Thanks for the fast review! :)
I've attached an updated patch and sent an e-mail to confirm ownership of my new e-mail address.
Comment 4 Dries Michiels freebsd_committer 2021-11-27 16:21:04 UTC
Hi Frank, Quick question. Where do the minimum versions from the RUN_DEPENDS come from? The only one I see in setup.py upstream is Clicks?
Comment 5 Frank Wall 2021-11-27 21:48:44 UTC
Hi Dries, I know the author if opn-cli, it was developed using the most recent gem versions. Given the experience with the click dependency it's likely that older versions will not work.
Comment 6 commit-hook freebsd_committer 2021-11-29 08:21:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1e98e4fc0a451c2b8f59be173c8a84bc899d8bae

commit 1e98e4fc0a451c2b8f59be173c8a84bc899d8bae
Author:     Frank Wall <freebsd@moov.de>
AuthorDate: 2021-11-26 18:40:29 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-11-29 08:19:16 +0000

    net-mgmt/py-opn-cli: Update to 0.8.1

    While here update the maintainer's e-mail address.

    PR:                     260045
    Approved by:            0mp (mentor)
    Differential Revision:  https://reviews.freebsd.org/D33137

 net-mgmt/py-opn-cli/Makefile | 17 +++++++++++------
 net-mgmt/py-opn-cli/distinfo |  6 +++---
 2 files changed, 14 insertions(+), 9 deletions(-)
Comment 7 Dries Michiels freebsd_committer 2021-11-29 08:24:48 UTC
Committed with minor changes (>= versions). Thanks for the patch!
If the versions prove a problem please sync with upstream to add the minimum REQUIRED dependency version in setup.py.